boost::geometry::ever_circling_iterator< Iterator > Struct Template Reference
iterators: iterators

Iterator which ever circles through a range. More...

List of all members.

## Public Member Functions

| ever_circling_iterator (Iterator begin, Iterator end, bool skip_first=false)
| ever_circling_iterator (Iterator begin, Iterator end, Iterator start, bool skip_first=false)
void | moveto (Iterator it)

## Friends

class | boost::iterator_core_access

## Detailed Description

### template<typename Iterator>
struct boost::geometry::ever_circling_iterator< Iterator >

Iterator which ever circles through a range.

Template Parameters:

  Iterator | iterator on which this class is based on

If the iterator arrives at range.end() it restarts from the beginning. So it has to be stopped in another way. Don't call for(....; it++) because it will turn in an endless loop

Note:
  Name inspired on David Bowie's "Chant Of The Ever Circling Skeletal Family"

## Constructor & Destructor Documentation

template<typename Iterator >

boost::geometry::ever_circling_iterator< Iterator >::ever_circling_iterator | ( | Iterator | begin,
|  | Iterator | end,
|  | bool | skip_first = `false`
| ) |  | `[explicit]`

template<typename Iterator >

boost::geometry::ever_circling_iterator< Iterator >::ever_circling_iterator | ( | Iterator | begin,
|  | Iterator | end,
|  | Iterator | start,
|  | bool | skip_first = `false`
| ) |  | `[explicit]`

## Member Function Documentation

template<typename Iterator >

void boost::geometry::ever_circling_iterator< Iterator >::moveto | ( | Iterator | it | ) |

Navigate to a certain position, should be in [start .. end], if at end it will circle again.

## Friends And Related Function Documentation

template<typename Iterator >

friend class boost::iterator_core_access`[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK